// OK
// test emission simple chaine de caractere avec DMA
// sprintf ok


#include <p33FJ64MC802.h>
#include <stdio.h>
#include <timer.h>
#include "../../drivers/delay.h"
#include "../../drivers/drvUART.h"


//config oscillateur
_FOSCSEL(FNOSC_PRIPLL);								// Choix du oscillateur + PLL
_FOSC(FCKSM_CSDCMD & OSCIOFNC_OFF  & POSCMD_XT);	// Pas de basculement d'horloge
													// pas de OSC2
													// type d'oscillateur XT
_FWDT(FWDTEN_OFF); // watchdog off;



//int __C30_UART;
unsigned char BUFF[50]={'i','u','t','\n','\0'};

int main (void)

{	InitClockNoSwitch() ; //init oscillateur

	InitPORT_AND_PIN(); // init broche remapable
	InitUART1_TxDMA0(); // init UART with Tx on DMA0 


	// stout redirect UART  with DMA
	printf("456\n"); // \n is needed
	Delay(Delay_15mS_Cnt); 
	printf("test %d %f\n",10,22.565); // \n is needed


	for (;;)
	{
		Delay(Delay_15mS_Cnt); // tempo BLOQUANTE: attention pour demo uniquement!!!
	
		UART_DMAputs(BUFF);
	
	}
}
